#ifndef _My_data_structure_h
#define _My_data_structure_h

struct My_data_structure { // All properties are by definition 'public:'
	bool bool_attribute;
	char char_attribute;
	unsigned char unsigned_char_attribute;

	short int short_attribute; // <=> 'short' or 'signed short int'
	unsigned short int unsigned_short_attribute; // <=> 'unsigned short'
	int int_attribute; // <=> 'signed int'
	unsigned int unsigned_int_attribute;
	long int long_attribute; // <=> 'long' or 'signed long int'
	unsigned long int unsigned_long_attribute; // <=> 'unsigned long'
	long long int long_long_attribute; // <=> 'long long' or 'signed long long int'
	unsigned long long int unsigned_long_long_attribute; // <=> 'unsigned long long'

	float float_attribute;
	double double_attribute;
	long double long_double_attribute;

	struct { // All properties are by definition 'public:'
		double first;
		double second;
	} struct_attribute;

	union { // All properties are by definition 'public:'
		char is_char;
		int is_int;
	} union_attribute;
};

#endif          
